OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures
smallmap_type.hpp File Reference

Simple mapping class targeted for small sets of data. More...

`#include "smallvec_type.hpp"`
`#include "sort_func.hpp"`

Go to the source code of this file.

## Data Structures
struct | SmallPair< T, U >
| Simple pair of data. More...
struct | SmallMap< T, U, S >
| Implementation of simple mapping class. More...

## Detailed Description

Simple mapping class targeted for small sets of data.

Stored data shall be POD ("Plain Old Data")!

Definition in file smallmap_type.hpp.